import request from 'utils/request'

// 获取token
export const postAuthLoginApi = (data = {}) => {
  return request.tryPost('/auth/login', data, { encrypt: true })
}

// 获取用户信息
export const getUserInfoApi = (data) => {
  return request.tryGet('/system/user/getInfo', data)
}

// 获取用户部门树
export const getUserDeptTreeApi = (data) => {
  return request.tryGet('/system/user/deptTree', data)
}

// 电梯微信用户关联绑定
export const postElevatorWechatUserBindApi = (data) => {
  return request.tryPost('/elevator/elevatorWechatUser/bind', data)
}
